/********************************************************************************
 * Copyright (c) 2021 in-tech GmbH
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

//-----------------------------------------------------------------------------
/** @file  i_controller.h */
//-----------------------------------------------------------------------------

#include "MantleAPI/Common/i_identifiable.h"

#pragma once

namespace mantle_api
{
/// Base interface for all controllers.
class IController : public IIdentifiable
{
};

}  // namespace mantle_api